Index: locales/zh-cn/main.po
===================================================================
--- locales/zh-cn/main.po	(revision 2807)
+++ locales/zh-cn/main.po	(revision 3272)
@@ -7,14 +7,14 @@
 "Project-Id-Version: Dotclear 2\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2014-11-20 19:51+0100\n"
-"PO-Revision-Date: 2010-01-16 19:07+0800\n"
-"Last-Translator: lainme <lainme993@gmail.com>\n"
-"Language-Team: LANGUAGE <LL@li.org>\n"
-"Language: \n"
+"POT-Creation-Date: 2016-07-18 15:41+0200\n"
+"PO-Revision-Date: 2016-07-18 15:55+0200\n"
+"Last-Translator: Franck Paul <carnet.franck.paul@gmail.com>\n"
+"Language: zh_CN\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
-"X-Poedit-Language: Chinese\n"
-"X-Poedit-Country: CHINA\n"
+"Plural-Forms: nplurals=1; plural=0;\n"
+"Language-Team: \n"
+"X-Generator: Poedit 1.8.8\n"
 
 msgid "Dotclear has been upgraded."
@@ -326,4 +326,11 @@
 msgstr "新文章的 URL 格式："
 
+#, fuzzy
+msgid "Dotclear"
+msgstr "Dotclear 团队"
+
+msgid "Sample:"
+msgstr ""
+
 msgid "HTML tag for the title of the notes on the blog:"
 msgstr ""
@@ -394,7 +401,4 @@
 msgstr ""
 
-msgid "Sample:"
-msgstr ""
-
 msgid "Time format:"
 msgstr "时间格式："
@@ -406,4 +410,7 @@
 msgstr "在文章和评论上显示表情"
 
+msgid "Disable internal search system"
+msgstr ""
+
 #, fuzzy, php-format
 msgid "Display %s entries on home page"
@@ -439,4 +446,36 @@
 msgid "Generated image sizes (in pixels)"
 msgstr "产生的图片大小(用像素)"
+
+#, fuzzy
+msgid "Thumbnail"
+msgstr "缩略图："
+
+#, fuzzy
+msgid "Small"
+msgstr "小："
+
+#, fuzzy
+msgid "Medium"
+msgstr "中："
+
+msgid "Default size of the inserted video (in pixels)"
+msgstr ""
+
+#, fuzzy
+msgid "Width"
+msgstr "宽度："
+
+#, fuzzy
+msgid "Height"
+msgstr "高度："
+
+msgid "Flash player"
+msgstr ""
+
+msgid "Insert Flash player fallback for video (mp4 or m4v) and audio (mp3) media"
+msgstr ""
+
+msgid "For flv video, the Flash player will be anyway inserted."
+msgstr ""
 
 msgid "Default image insertion attributes"
@@ -549,5 +588,4 @@
 msgid_plural "There are %s themes to update available from repository."
 msgstr[0] ""
-msgstr[1] ""
 
 #, php-format
@@ -585,4 +623,8 @@
 msgid "You can install themes by uploading or downloading zip files."
 msgstr "您可以通过上传或下载 zip 文件安装主题。"
+
+#, fuzzy
+msgid "Some functions are disabled, please give write access to your themes directory to enable them."
+msgstr "要激活这个功能，请赋予您的插件目录写权限。"
 
 msgid "Last update"
@@ -657,5 +699,4 @@
 msgid_plural "%d blogs match the filter."
 msgstr[0] ""
-msgstr[1] ""
 
 #, fuzzy
@@ -668,4 +709,8 @@
 
 #, fuzzy
+msgid "URL"
+msgstr "URL："
+
+#, fuzzy
 msgid "Entries (all types)"
 msgstr "每页文章数"
@@ -694,5 +739,5 @@
 
 #, fuzzy
-msgid "Category where to move posts does not exist"
+msgid "Category where to move entries does not exist"
 msgstr "这个分类目录不存在。"
 
@@ -715,5 +760,4 @@
 msgid_plural "The categories have been successfully removed."
 msgstr[0] "成功移除分类目录。"
-msgstr[1] "成功移除分类目录。"
 
 #, fuzzy
@@ -735,5 +779,4 @@
 msgid_plural "%d entries"
 msgstr[0] "%d 篇文章"
-msgstr[1] "%d 篇文章"
 
 msgid "total:"
@@ -911,4 +954,11 @@
 msgstr "作者"
 
+msgid "IP"
+msgstr ""
+
+#, fuzzy
+msgid "Spam filter"
+msgstr "过滤"
+
 #, fuzzy
 msgid "Selected comments have been successfully updated."
@@ -968,5 +1018,4 @@
 msgid_plural "%s updates are available."
 msgstr[0] "Iconv 模块不可用。"
-msgstr[1] "Iconv 模块不可用。"
 
 #, fuzzy
@@ -1062,6 +1111,6 @@
 msgstr "保存并发布"
 
-#, php-format
-msgid "PHP version is %s (5.0 or earlier needed)."
+#, fuzzy, php-format
+msgid "PHP version is %s (5.3 or earlier needed)."
 msgstr "PHP 版本是 %s (需要 5.0 或更早)。"
 
@@ -1232,4 +1281,8 @@
 msgstr ""
 
+#, fuzzy, php-format
+msgid "Cannot write \"%s\" directory."
+msgstr "无法在这个目录写入。"
+
 #, php-format
 msgid "File %s does not exist."
@@ -1274,4 +1327,7 @@
 msgstr ""
 
+msgid "SQLite"
+msgstr ""
+
 msgid "Database Host Name:"
 msgstr "数据库主机名："
@@ -1391,4 +1447,8 @@
 msgid "By dates, in descending order"
 msgstr "按日期，降序"
+
+#, fuzzy
+msgid "Not a valid directory"
+msgstr "不是一个有效的文件"
 
 #, fuzzy, php-format
@@ -1403,5 +1463,4 @@
 msgid_plural "Successfully delete %d medias."
 msgstr[0] "博客已被成功删除。"
-msgstr[1] "博客已被成功删除。"
 
 msgid "Directory has been successfully removed."
@@ -1431,4 +1490,18 @@
 msgstr "是"
 
+#, fuzzy, php-format
+msgid "%s file found"
+msgid_plural "%s files found"
+msgstr[0] "找到 %d 篇文章"
+
+msgid "Remove this folder from your favorites"
+msgstr ""
+
+msgid "Add this folder to your favorites"
+msgstr ""
+
+msgid "Goto recent folder:"
+msgstr ""
+
 #, fuzzy
 msgid "You do not have sufficient permissions to write to this folder."
@@ -1444,6 +1517,30 @@
 msgstr "成功解压缩 zip 文件。"
 
-#, php-format
-msgid "Choose a file to attach to entry %s by clicking on %s."
+#, fuzzy, php-format
+msgid "Select a file by clicking on %s"
+msgstr "通过点击 %s 将选择的文件插入到文章。"
+
+#, fuzzy
+msgid "Select this file"
+msgstr "删除这个博客"
+
+#, fuzzy
+msgid "Choose selected medias"
+msgstr "恢复到选择的文件"
+
+#, php-format
+msgid "Select files and click on <strong>%s</strong> button"
+msgstr ""
+
+#, fuzzy
+msgid "or"
+msgstr "排序："
+
+#, fuzzy
+msgid "upload a new file"
+msgstr "上传一个 zip 文件"
+
+#, fuzzy, php-format
+msgid "Choose a file to attach to entry %s by clicking on %s"
 msgstr "选择一个文件附加到文章 %s，通过点击 %s。"
 
@@ -1451,6 +1548,6 @@
 msgstr "附加这个文件到文章"
 
-#, php-format
-msgid "Choose a file to insert into entry by clicking on %s."
+#, fuzzy, php-format
+msgid "Choose a file to insert into entry by clicking on %s"
 msgstr "通过点击 %s 将选择的文件插入到文章。"
 
@@ -1459,7 +1556,18 @@
 msgstr "恢复到选择的文件"
 
+msgid "Will search into media filename (including path), title and description"
+msgstr ""
+
 msgid "No file."
 msgstr "没有文件。"
 
+#, fuzzy
+msgid "Grid display mode"
+msgstr "显示的名字"
+
+#, fuzzy
+msgid "List display mode"
+msgstr "显示的名字"
+
 msgid "Sort files:"
 msgstr "排序文件："
@@ -1468,4 +1576,15 @@
 msgstr ""
 
+#, fuzzy
+msgid "Media list"
+msgstr "媒体详情"
+
+#, fuzzy
+msgid "Name"
+msgstr "名字："
+
+msgid "Size"
+msgstr ""
+
 #, php-format
 msgid "In %s:"
@@ -1530,14 +1649,14 @@
 msgstr "参数"
 
+msgid "Insert this file into entry"
+msgstr "插入这个文件到文章中"
+
+#, fuzzy
+msgid "delete"
+msgstr "删除"
+
 msgid "open"
 msgstr "打开"
 
-msgid "Insert this file into entry"
-msgstr "插入这个文件到文章中"
-
-#, fuzzy
-msgid "delete"
-msgstr "删除"
-
 msgid "Not a valid file"
 msgstr "不是一个有效的文件"
@@ -1557,10 +1676,18 @@
 msgstr "您确定您要删除这个评论吗？"
 
+#, fuzzy
+msgid "Select media item"
+msgstr "插入媒体条目"
+
+msgid "Image size:"
+msgstr "图片大小："
+
+#, fuzzy
+msgid "Select"
+msgstr "精选的："
+
 msgid "Insert media item"
 msgstr "插入媒体条目"
 
-msgid "Image size:"
-msgstr "图片大小："
-
 msgid "Image alignment"
 msgstr "图片对齐"
@@ -1612,4 +1739,22 @@
 msgstr "可用的大小："
 
+#, fuzzy
+msgid "Thumbnail details"
+msgstr "图片详情"
+
+#, fuzzy
+msgid "Image width:"
+msgstr "图片大小："
+
+#, fuzzy
+msgid "Image height:"
+msgstr "图片对齐"
+
+msgid "File size:"
+msgstr "文件大小："
+
+msgid "File URL:"
+msgstr "文件 URL："
+
 msgid "File owner:"
 msgstr "文件拥有者："
@@ -1617,10 +1762,4 @@
 msgid "File type:"
 msgstr "文件类型："
-
-msgid "File size:"
-msgstr "文件大小："
-
-msgid "File URL:"
-msgstr "文件 URL："
 
 msgid "Show entries containing this media"
@@ -1739,5 +1878,4 @@
 msgid_plural "There are %s plugins to update available from repository."
 msgstr[0] ""
-msgstr[1] ""
 
 #, fuzzy
@@ -2030,4 +2168,11 @@
 msgstr "非精选的"
 
+msgid "Opened"
+msgstr ""
+
+#, fuzzy
+msgid "Closed"
+msgstr "关闭"
+
 #, fuzzy
 msgid "With attachments"
@@ -2039,4 +2184,12 @@
 
 #, fuzzy
+msgid "With password"
+msgstr "文章密码："
+
+#, fuzzy
+msgid "Without password"
+msgstr "您的密码"
+
+#, fuzzy
 msgid "Number of comments"
 msgstr "文章数目"
@@ -2054,4 +2207,8 @@
 msgstr "成功更新缩略图。"
 
+#, fuzzy
+msgid "Format:"
+msgstr "日期格式："
+
 msgid "Selected:"
 msgstr "精选的："
@@ -2068,4 +2225,12 @@
 
 #, fuzzy
+msgid "Comments:"
+msgstr "评论"
+
+#, fuzzy
+msgid "Trackbacks:"
+msgstr "Trackbacks"
+
+#, fuzzy
 msgid "entries per page"
 msgstr "每页文章数"
@@ -2074,4 +2239,7 @@
 msgstr "已选择的文章的动作："
 
+msgid "Posts"
+msgstr ""
+
 msgid "If you want to change your email or password you must provide your current password."
 msgstr "如果您想要改变您的邮箱或者密码，您必须提供当前的密码。"
@@ -2162,8 +2330,17 @@
 msgstr ""
 
+msgid "Number of recent folders proposed in media manager:"
+msgstr ""
+
+msgid "Leave empty to ignore, displayed only if Javascript is enabled in your browser."
+msgstr ""
+
 msgid "Do not use standard favicon"
 msgstr ""
 
 msgid "This will be applied for all users"
+msgstr ""
+
+msgid "Optional columns displayed in lists"
 msgstr ""
 
@@ -2192,4 +2369,7 @@
 msgstr "激活所见即所得模式"
 
+msgid "Display editor's toolbar at bottom of textarea (if possible)"
+msgstr ""
+
 #, fuzzy
 msgid "Other options"
@@ -2252,4 +2432,8 @@
 msgstr "控制板"
 
+#, fuzzy
+msgid "Display dashboard icons"
+msgstr "控制板"
+
 msgid "Iconset:"
 msgstr ""
@@ -2518,7 +2702,17 @@
 msgstr "标记为垃圾评论"
 
+msgid "Blacklist IP"
+msgstr ""
+
+msgid "Blacklist IP (global)"
+msgstr ""
+
 #, fuzzy
 msgid "No comment selected"
 msgstr "没有评论"
+
+#, fuzzy
+msgid "IP addresses for selected comments have been blacklisted."
+msgstr "成功更新评论。"
 
 #, fuzzy
@@ -2563,5 +2757,4 @@
 msgid_plural "%d entries have been successfully updated to status : \"%s\""
 msgstr[0] "成功更新文章。"
-msgstr[1] "成功更新文章。"
 
 #, fuzzy, php-format
@@ -2569,5 +2762,4 @@
 msgid_plural "%d entries have been successfully marked as selected"
 msgstr[0] "成功创建文章。"
-msgstr[1] "成功创建文章。"
 
 #, fuzzy, php-format
@@ -2575,5 +2767,4 @@
 msgid_plural "%d entries have been successfully marked as unselected"
 msgstr[0] "成功创建文章。"
-msgstr[1] "成功创建文章。"
 
 #, fuzzy, php-format
@@ -2581,5 +2772,4 @@
 msgid_plural "%d entries have been successfully deleted"
 msgstr[0] "成功删除主题。"
-msgstr[1] "成功删除主题。"
 
 #, fuzzy, php-format
@@ -2587,5 +2777,4 @@
 msgid_plural "%d entries have been successfully moved to category \"%s\""
 msgstr[0] "成功更新文章。"
-msgstr[1] "成功更新文章。"
 
 msgid "Change category for this selection"
@@ -2603,5 +2792,4 @@
 msgid_plural "%d entries have been successfully set to user \"%s\""
 msgstr[0] "成功创建文章。"
-msgstr[1] "成功创建文章。"
 
 msgid "Change author for this selection"
@@ -2615,5 +2803,4 @@
 msgid_plural "%d entries have been successfully set to language \"%s\""
 msgstr[0] "成功更新文章。"
-msgstr[1] "成功更新文章。"
 
 #, fuzzy
@@ -2638,5 +2825,4 @@
 msgid_plural "%d comments"
 msgstr[0] "%d 个评论"
-msgstr[1] "%d 个评论"
 
 msgid "Change blog"
@@ -2932,5 +3118,4 @@
 msgid_plural "Found %d results for search \"%s\":"
 msgstr[0] ""
-msgstr[1] ""
 
 #, fuzzy
@@ -2942,5 +3127,4 @@
 msgid_plural "%d results"
 msgstr[0] ""
-msgstr[1] ""
 
 msgid "no results"
@@ -2954,8 +3138,4 @@
 msgstr "插件"
 
-#, fuzzy
-msgid "Name"
-msgstr "名字："
-
 msgid "Score"
 msgstr ""
@@ -2967,4 +3147,11 @@
 msgid "Current version"
 msgstr "设置权限"
+
+#, php-format
+msgid "This module cannot be disabled nor deleted, since the following modules are also enabled : %s"
+msgstr ""
+
+msgid "This module cannot be enabled, because of the following reasons :"
+msgstr ""
 
 msgid "Plugin from official distribution"
@@ -3028,5 +3215,4 @@
 msgid_plural "Plugins have been successuflly deleted."
 msgstr[0] "成功删除插件。"
-msgstr[1] "成功删除插件。"
 
 #, fuzzy
@@ -3034,5 +3220,4 @@
 msgid_plural "Plugins have been successuflly installed."
 msgstr[0] "成功安装插件。"
-msgstr[1] "成功安装插件。"
 
 #, fuzzy
@@ -3040,5 +3225,4 @@
 msgid_plural "Plugins have been successuflly activated."
 msgstr[0] "成功安装插件。"
-msgstr[1] "成功安装插件。"
 
 #, fuzzy
@@ -3050,5 +3234,4 @@
 msgid_plural "Plugins have been successuflly deactivated."
 msgstr[0] "成功删除插件。"
-msgstr[1] "成功删除插件。"
 
 #, fuzzy
@@ -3056,5 +3239,4 @@
 msgid_plural "Plugins have been successuflly updated."
 msgstr[0] "成功升级插件"
-msgstr[1] "成功升级插件"
 
 #, fuzzy
@@ -3150,5 +3332,4 @@
 msgid_plural "Themes have been successuflly activated."
 msgstr[0] "成功改变主题。"
-msgstr[1] "成功改变主题。"
 
 msgid "Some themes have not been deactivated."
@@ -3159,5 +3340,4 @@
 msgid_plural "Themes have been successuflly deactivated."
 msgstr[0] "成功删除主题。"
-msgstr[1] "成功删除主题。"
 
 #, fuzzy
@@ -3173,5 +3353,4 @@
 msgid_plural "Themes have been successuflly deleted."
 msgstr[0] "成功删除主题。"
-msgstr[1] "成功删除主题。"
 
 #, fuzzy
@@ -3179,5 +3358,4 @@
 msgid_plural "Themes have been successuflly installed."
 msgstr[0] "成功安装主题。"
-msgstr[1] "成功安装主题。"
 
 #, fuzzy
@@ -3185,5 +3363,4 @@
 msgid_plural "Themes have been successuflly updated."
 msgstr[0] "成功升级主题。"
-msgstr[1] "成功升级主题。"
 
 #, fuzzy
@@ -3225,23 +3402,47 @@
 msgstr "没有文章"
 
-#, php-format
-msgid "List of %s entries match the filter."
-msgstr ""
+#, fuzzy, php-format
+msgid "List of %s entries matching the filter."
+msgstr "没有文章标题"
+
+#, fuzzy, php-format
+msgid "List of entries (%s)"
+msgstr "分类目录列表"
+
+#, php-format
+msgid ", <a href=\"%s\">published</a> (1)"
+msgid_plural ", <a href=\"%s\">published</a> (%s)"
+msgstr[0] ""
+
+#, php-format
+msgid ", <a href=\"%s\">pending</a> (1)"
+msgid_plural ", <a href=\"%s\">pending</a> (%s)"
+msgstr[0] ""
+
+#, php-format
+msgid ", <a href=\"%s\">programmed</a> (1)"
+msgid_plural ", <a href=\"%s\">programmed</a> (%s)"
+msgstr[0] ""
+
+#, php-format
+msgid ", <a href=\"%s\">unpublished</a> (1)"
+msgid_plural ", <a href=\"%s\">unpublished</a> (%s)"
+msgstr[0] ""
+
+#, fuzzy
+msgid "Protected"
+msgstr "保护的"
+
+#, php-format
+msgid "%d attachment"
+msgstr "%d 个附件"
+
+#, php-format
+msgid "%d attachments"
+msgstr "%d 个附件"
 
 #, fuzzy
 msgid "Entries list"
 msgstr "分类目录列表"
-
-#, fuzzy
-msgid "Protected"
-msgstr "保护的"
-
-#, php-format
-msgid "%d attachment"
-msgstr "%d 个附件"
-
-#, php-format
-msgid "%d attachments"
-msgstr "%d 个附件"
 
 msgid "No comments or trackbacks matches the filter"
@@ -3252,5 +3453,13 @@
 msgid_plural "List of %s comments or trackbacks matching the filter."
 msgstr[0] ""
-msgstr[1] ""
+
+#, fuzzy, php-format
+msgid "List of comments and trackbacks (%s)"
+msgstr "评论和 trackbacks"
+
+#, php-format
+msgid ", <a href=\"%s\">spam</a> (1)"
+msgid_plural ", <a href=\"%s\">spam</a> (%s)"
+msgstr[0] ""
 
 msgid "Type"
@@ -3362,7 +3571,4 @@
 msgstr ""
 
-msgid "Posts"
-msgstr ""
-
 #, fuzzy
 msgid "Pages"
@@ -3557,4 +3763,24 @@
 
 #, php-format
+msgid "Requires %s module which is not installed"
+msgstr ""
+
+#, php-format
+msgid "Requires Dotclear version %s, but version %s is installed"
+msgstr ""
+
+#, php-format
+msgid "Requires %s module version %s, but version %s is installed"
+msgstr ""
+
+#, php-format
+msgid "Requires %s module which is disabled"
+msgstr ""
+
+#, fuzzy
+msgid "The following extensions have been disabled :"
+msgstr "下列插件已被安装："
+
+#, php-format
 msgid "Module \"%s\" has type \"%s\" that mismatch required module type \"%s\"."
 msgstr ""
@@ -3726,7 +3952,4 @@
 msgid "LOL!"
 msgstr ""
-
-msgid "SQLite Database Schema cannot be upgraded."
-msgstr "SQLite 数据库模式无法被升级。"
 
 msgid "Something went wrong with auto upgrade:"
@@ -3847,5 +4070,4 @@
 msgid_plural "plural"
 msgstr[0] ""
-msgstr[1] ""
 
 #, php-format
@@ -3894,4 +4116,7 @@
 msgstr ""
 
+#~ msgid "SQLite Database Schema cannot be upgraded."
+#~ msgstr "SQLite 数据库模式无法被升级。"
+
 #~ msgid "more information"
 #~ msgstr "更多信息"
@@ -3981,8 +4206,4 @@
 #~ msgstr "下列插件已被安装："
 
-#, fuzzy
-#~ msgid "Sort"
-#~ msgstr "排序："
-
 #~ msgid "New directory"
 #~ msgstr "新目录"
@@ -4030,7 +4251,4 @@
 #~ msgstr "发布于："
 
-#~ msgid "Entry password:"
-#~ msgstr "文章密码："
-
 #~ msgid "junk"
 #~ msgstr "垃圾评论"
@@ -4202,7 +4420,4 @@
 #~ msgstr "登录"
 
-#~ msgid "filter"
-#~ msgstr "过滤"
-
 #~ msgid "View site"
 #~ msgstr "浏览网站"