Index: locales/fr/main.po
===================================================================
--- locales/fr/main.po	(revision 3406)
+++ locales/fr/main.po	(revision 3408)
@@ -11,5 +11,5 @@
 "Project-Id-Version: Dotclear\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2016-11-12 11:28+0100\n"
+"POT-Creation-Date: 2016-11-13 16:31+0100\n"
 "PO-Revision-Date: 2016-07-18 15:01+0200\n"
 "Last-Translator: Franck Paul <carnet.franck.paul@gmail.com>\n"
@@ -1439,5 +1439,5 @@
 #, php-format
 msgid "Select files and click on <strong>%s</strong> button"
-msgstr ""
+msgstr "Selectionnez les fichiers et cliquez sur le bouton <strong>%s</strong>"
 
 msgid "or"
@@ -2079,4 +2079,10 @@
 msgstr "Action sur les billets sélectionnés :"
 
+msgid "Smaller"
+msgstr "Petite"
+
+msgid "Larger"
+msgstr "Grande"
+
 msgid "Blog description (in blog parameters)"
 msgstr "La description du blog (paramètres du blog)"
@@ -2159,4 +2165,7 @@
 msgid "Hide all secondary information and notes"
 msgstr "Cacher les informations secondaires et les notes"
+
+msgid "Font size:"
+msgstr "Taille de police de caractère :"
 
 msgid "Number of elements displayed per page in media manager:"
Index: locales/fr/plugins.po
===================================================================
--- locales/fr/plugins.po	(revision 3406)
+++ locales/fr/plugins.po	(revision 3408)
@@ -11,5 +11,5 @@
 "Project-Id-Version: Dotclear\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2016-11-12 11:28+0100\n"
+"POT-Creation-Date: 2016-11-13 16:31+0100\n"
 "PO-Revision-Date: 2016-07-18 15:16+0200\n"
 "Last-Translator: Franck Paul <carnet.franck.paul@gmail.com>\n"
@@ -40,46 +40,46 @@
 msgstr "Configurer votre thème Blowup"
 
+msgid "Legacy modules for dotclear"
+msgstr "Plugin de compatibilité pour Dotclear"
+
+msgid "Trackback validity check"
+msgstr "Contrôle de validité des rétroliens"
+
+msgid "Import and Export your blog"
+msgstr "Importez et exportez votre blog"
+
+msgid "Maintain your installation"
+msgstr "Maintenez votre installation"
+
+msgid "Serve entries as simple web pages"
+msgstr "Publie des billets comme de simples pages web"
+
+msgid "Ping services"
+msgstr "Services de signalement"
+
+msgid "Simple menu for Dotclear"
+msgstr "Menu simple pour Dotclear"
+
+msgid "Tags for posts"
+msgstr "Mots-clés pour les billets"
+
+msgid "Theme Editor"
+msgstr "Éditeur de thème"
+
+msgid "Manage every user preference directive"
+msgstr "Gestion des préférences utilisateur"
+
+msgid "Widgets for your blog sidebars"
+msgstr "Widgets pour les volets de votre blog"
+
+msgid "dotclear legacy editor"
+msgstr "éditeur historique de Dotclear"
+
+msgid "dotclear CKEditor integration"
+msgstr "éditeur CKEditor pour Dotclear"
+
 msgid "Breadcrumb for Dotclear"
 msgstr "Fil d'Ariane pour Dotclear"
 
-msgid "Legacy modules for dotclear"
-msgstr "Plugin de compatibilité pour Dotclear"
-
-msgid "Trackback validity check"
-msgstr "Contrôle de validité des rétroliens"
-
-msgid "Import and Export your blog"
-msgstr "Importez et exportez votre blog"
-
-msgid "Maintain your installation"
-msgstr "Maintenez votre installation"
-
-msgid "Serve entries as simple web pages"
-msgstr "Publie des billets comme de simples pages web"
-
-msgid "Ping services"
-msgstr "Services de signalement"
-
-msgid "Simple menu for Dotclear"
-msgstr "Menu simple pour Dotclear"
-
-msgid "Tags for posts"
-msgstr "Mots-clés pour les billets"
-
-msgid "Theme Editor"
-msgstr "Éditeur de thème"
-
-msgid "Manage every user preference directive"
-msgstr "Gestion des préférences utilisateur"
-
-msgid "Widgets for your blog sidebars"
-msgstr "Widgets pour les volets de votre blog"
-
-msgid "dotclear legacy editor"
-msgstr "éditeur historique de Dotclear"
-
-msgid "dotclear CKEditor integration"
-msgstr "éditeur CKEditor pour Dotclear"
-
 msgid "Search engine form"
 msgstr "Formulaire de recherche"
@@ -112,15 +112,15 @@
 msgstr "Liste des derniers commentaires publiés"
 
+msgid "List of published pages"
+msgstr "Liste des pages publiées"
+
+msgid "Blogroll list"
+msgstr "Liste de liens"
+
+msgid "List of simple menu items"
+msgstr "Liste des éléments de menu simple"
+
 msgid "Tags cloud"
 msgstr "Nuage de mots-clés"
-
-msgid "List of published pages"
-msgstr "Liste des pages publiées"
-
-msgid "Blogroll list"
-msgstr "Liste de liens"
-
-msgid "List of simple menu items"
-msgstr "Liste des éléments de menu simple"
 
 msgid "Configuration successfully updated"