Index: locales/te/date.po
===================================================================
--- locales/te/date.po	(revision 3272)
+++ locales/te/date.po	(revision 3416)
@@ -10,9 +10,9 @@
 "PO-Revision-Date: 2016-07-18 15:54+0200\n"
 "Last-Translator: Franck Paul <carnet.franck.paul@gmail.com>\n"
+"Language-Team: \n"
 "Language: te\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
-"Language-Team: \n"
 "X-Generator: Poedit 1.8.8\n"
 
Index: locales/te/main.po
===================================================================
--- locales/te/main.po	(revision 3275)
+++ locales/te/main.po	(revision 3416)
@@ -7,7 +7,8 @@
 "Project-Id-Version: Dotclear 2\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2016-07-18 15:41+0200\n"
+"POT-Creation-Date: 2016-11-23 10:19+0100\n"
 "PO-Revision-Date: 2016-07-18 15:54+0200\n"
 "Last-Translator: Franck Paul <carnet.franck.paul@gmail.com>\n"
+"Language-Team: \n"
 "Language: te\n"
 "MIME-Version: 1.0\n"
@@ -15,5 +16,4 @@
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
-"Language-Team: \n"
 "X-Generator: Poedit 1.8.8\n"
 
@@ -444,5 +444,5 @@
 msgstr ""
 
-msgid "Generated image sizes (in pixels)"
+msgid "Generated image sizes (max dimension in pixels)"
 msgstr ""
 
@@ -633,4 +633,7 @@
 msgstr "బ్లాగు ఐడీ"
 
+msgid "Status"
+msgstr "స్థితి"
+
 msgid "Descending"
 msgstr "అవరోహణ"
@@ -639,22 +642,12 @@
 msgstr "ఆరోహణ"
 
-msgid "Show filters and display options"
-msgstr ""
-
-msgid "Cancel filters and display options"
-msgstr ""
-
 msgid "List of blogs"
 msgstr "బ్లాగుల జాబితా"
 
-msgid "Blog has been successfully deleted."
-msgstr "బ్లాగుని విజయవంతంగా తొలగించాం."
-
 msgid "Create a new blog"
 msgstr "కొత్త బ్లాగుని సృష్టించండి"
 
-#, fuzzy
-msgid "Filter blogs list"
-msgstr "%s బ్లాగుని మార్చండి"
+msgid "Show filters and display options"
+msgstr ""
 
 msgid "Filters"
@@ -664,4 +657,7 @@
 msgstr "అన్వేషణ:"
 
+msgid "Status:"
+msgstr "స్థితి:"
+
 #, fuzzy
 msgid "Display options"
@@ -685,46 +681,18 @@
 msgstr ""
 
-msgid "No blog matches the filter"
-msgstr ""
-
-msgid "No blog"
-msgstr "బ్లాగులు లేవు"
-
-#, php-format
-msgid "%d blog matches the filter."
-msgid_plural "%d blogs match the filter."
-msgstr[0] ""
-msgstr[1] ""
-
-#, fuzzy
-msgid "Blogs list"
-msgstr "బ్లాగులు"
-
-#, fuzzy
-msgid "Blog id"
-msgstr "బ్లాగు పేరు"
-
-#, fuzzy
-msgid "URL"
-msgstr "URL?"
-
-#, fuzzy
-msgid "Entries (all types)"
-msgstr "టపాలు (ఒక పేజీకి)"
-
-msgid "Status"
-msgstr "స్థితి"
-
-#, fuzzy, php-format
-msgid "Edit blog settings for %s"
-msgstr "%s బ్లాగుని మార్చండి"
-
-#, fuzzy
-msgid "Edit blog settings"
-msgstr "బ్లాగు అమరికలు"
-
-#, php-format
-msgid "Switch to blog %s"
-msgstr "%s బ్లాగుకి మారండి"
+#, fuzzy
+msgid "Selected blogs action:"
+msgstr "ఎంచుకున్న వాడుకరులపై చర్య:"
+
+#, fuzzy
+msgid "Actions"
+msgstr "చర్య"
+
+msgid "ok"
+msgstr "సరే"
+
+#, fuzzy
+msgid "Please give your password to confirm blog(s) deletion:"
+msgstr "బ్లాగు తొలగింపుని నిర్ధారించడానికి మీ సంకేతపదాన్ని ఇవ్వండి."
 
 #, fuzzy
@@ -778,7 +746,5 @@
 #, fuzzy, php-format
 msgid "%d entry"
-msgid_plural "%d entries"
-msgstr[0] "%d టపా"
-msgstr[1] "%d టపా"
+msgstr "%d టపా"
 
 msgid "total:"
@@ -929,7 +895,4 @@
 msgstr "వెబ్ సైటు:"
 
-msgid "Status:"
-msgstr "స్థితి:"
-
 msgid "Comment:"
 msgstr "వ్యాఖ్య:"
@@ -952,4 +915,8 @@
 msgstr "టపా శీర్షిక"
 
+#, fuzzy
+msgid "Entry date"
+msgstr "టపా శీర్షిక"
+
 msgid "Author"
 msgstr "రచయిత"
@@ -991,8 +958,4 @@
 msgstr "ఓ బ్లాగుని తొలగించండి"
 
-#, fuzzy
-msgid "Filter comments and trackbacks list"
-msgstr "వ్యాఖ్యలు మరియు ట్రాకుబ్యాకులు"
-
 msgid "Type:"
 msgstr "రకం:"
@@ -1004,11 +967,4 @@
 msgid "Selected comments action:"
 msgstr "ఎంచుకున్న వ్యాఖ్యలపై చర్య:"
-
-#, fuzzy
-msgid "Actions"
-msgstr "చర్య"
-
-msgid "ok"
-msgstr "సరే"
 
 msgid "Global help"
@@ -1291,4 +1247,8 @@
 msgstr "కొత్త వాడుకరిని సృష్టించండి"
 
+#, fuzzy
+msgid "Master email is not valid."
+msgstr "ఈమెయిలు చిరునామా సరైనది కాదు."
+
 #, php-format
 msgid "File %s does not exist."
@@ -1349,4 +1309,7 @@
 
 msgid "Database Tables Prefix:"
+msgstr ""
+
+msgid "Master Email: (used as sender for password recovery)"
 msgstr ""
 
@@ -2242,4 +2205,18 @@
 msgstr "ఎంచుకున్న వాటిపై చర్య:"
 
+#, fuzzy
+msgid "Smaller"
+msgstr "చిన్న:"
+
+msgid "Larger"
+msgstr ""
+
+msgid "Blog description (in blog parameters)"
+msgstr ""
+
+#, fuzzy
+msgid "Category description"
+msgstr "వర్గం"
+
 msgid "Posts"
 msgstr ""
@@ -2325,4 +2302,11 @@
 msgstr ""
 
+msgid "Hide all secondary information and notes"
+msgstr ""
+
+#, fuzzy
+msgid "Font size:"
+msgstr "ఫైలు పరిమాణం:"
+
 msgid "Number of elements displayed per page in media manager:"
 msgstr ""
@@ -2370,4 +2354,7 @@
 msgstr ""
 
+msgid "Use xhtml editor for:"
+msgstr ""
+
 #, fuzzy
 msgid "Other options"
@@ -2521,4 +2508,8 @@
 msgstr "డాట్‌క్లియర్ ఇప్పటికే స్థాపితమైవుంది."
 
+#, php-format
+msgid "PHP version is %s (%s or earlier needed)."
+msgstr ""
+
 msgid "To upgrade your Dotclear installation simply click on the following button. A backup file of your current installation will be created in your root directory."
 msgstr ""
@@ -2668,4 +2659,11 @@
 msgstr ""
 
+msgid "No blog"
+msgstr "బ్లాగులు లేవు"
+
+#, fuzzy
+msgid "URL"
+msgstr "URL?"
+
 #, fuzzy
 msgid "select"
@@ -2679,4 +2677,42 @@
 msgid "Validate permissions"
 msgstr "అనుమతులు ఇవ్వండి"
+
+#, fuzzy
+msgid "Back to blogs list"
+msgstr "వ్యాఖ్యలు లేవు"
+
+#, fuzzy
+msgid "Blogs actions"
+msgstr "బ్లాగులు"
+
+#, fuzzy
+msgid "Blog id"
+msgstr "బ్లాగు పేరు"
+
+#, fuzzy
+msgid "Set online"
+msgstr "ఆన్‌లైన్"
+
+#, fuzzy
+msgid "Set offline"
+msgstr "ఆఫ్‌లైన్"
+
+#, fuzzy
+msgid "Set as removed"
+msgstr "తొలగించారు"
+
+#, fuzzy
+msgid "No blog selected"
+msgstr "ఎంపికలు లేవు"
+
+#, fuzzy
+msgid "Selected blogs have been successfully updated."
+msgstr "వ్యాఖ్యని విజయవంతంగా తాజాకరించాం."
+
+#, fuzzy, php-format
+msgid "%d blog has been successfully deleted"
+msgid_plural "%d blogs have been successfully deleted"
+msgstr[0] "బ్లాగుని విజయవంతంగా తొలగించాం."
+msgstr[1] "బ్లాగుని విజయవంతంగా తొలగించాం."
 
 #, fuzzy
@@ -2833,4 +2869,10 @@
 
 #, fuzzy, php-format
+msgid "%d post"
+msgid_plural "%d posts"
+msgstr[0] "%s బ్లాగుని మార్చండి"
+msgstr[1] "%s బ్లాగుని మార్చండి"
+
+#, fuzzy, php-format
 msgid "%d comment"
 msgid_plural "%d comments"
@@ -2883,4 +2925,8 @@
 msgstr "%s వాడుతున్నందుకు ధన్యవాదాలు."
 
+#, fuzzy
+msgid "Page top"
+msgstr "పేజీ(లు)"
+
 msgid "Go to dashboard"
 msgstr ""
@@ -2965,4 +3011,8 @@
 
 #, fuzzy, php-format
+msgid "Are you sure you want to delete selected blogs (%s)?"
+msgstr "ఎంచుకున్న వాడుకరులను నిజంగానే తొలగించాలా?"
+
+#, fuzzy, php-format
 msgid "Are you sure you want to delete category \"%s\"?"
 msgstr "ఈ టపాని నిజంగానే తొలగించాలా?"
@@ -3110,4 +3160,7 @@
 
 msgid "Queue error:"
+msgstr ""
+
+msgid "Cancel filters and display options"
 msgstr ""
 
@@ -3172,9 +3225,23 @@
 
 #, fuzzy
+msgid "Manage plugin"
+msgstr "బ్లాగు అలంకారాలు"
+
+msgid "No plugins matched your search."
+msgstr ""
+
+#, fuzzy
 msgid "Configure plugin"
 msgstr "బ్లాగు అలంకారాలు"
 
-msgid "No plugins matched your search."
-msgstr ""
+msgid "Plugin settings (in blog parameters)"
+msgstr ""
+
+msgid "Plugin settings (in user preferences)"
+msgstr ""
+
+#, fuzzy
+msgid "Plugin settings"
+msgstr "బ్లాగు అమరికలు"
 
 msgid "Activate"
@@ -3506,4 +3573,33 @@
 msgstr "రచయితని మార్చండి"
 
+msgid "No blog matches the filter"
+msgstr ""
+
+#, fuzzy
+msgid "Entries (all types)"
+msgstr "టపాలు (ఒక పేజీకి)"
+
+#, php-format
+msgid "%d blog matches the filter."
+msgid_plural "%d blogs match the filter."
+msgstr[0] ""
+msgstr[1] ""
+
+#, fuzzy
+msgid "Blogs list"
+msgstr "బ్లాగులు"
+
+#, fuzzy, php-format
+msgid "Edit blog settings for %s"
+msgstr "%s బ్లాగుని మార్చండి"
+
+#, fuzzy
+msgid "Edit blog settings"
+msgstr "బ్లాగు అమరికలు"
+
+#, php-format
+msgid "Switch to blog %s"
+msgstr "%s బ్లాగుకి మారండి"
+
 msgid "No user matches the filter"
 msgstr ""
@@ -3880,4 +3976,7 @@
 msgstr ""
 
+msgid "Bad server response code"
+msgstr ""
+
 #, php-format
 msgid "%s is not a ping URL"
@@ -3888,4 +3987,20 @@
 msgstr ""
 
+msgid "Don't repeat yourself, please."
+msgstr ""
+
+msgid "Where's your title?"
+msgstr ""
+
+msgid "Sorry, an internal problem has occured."
+msgstr ""
+
+msgid "Thanks, mate. It was a pleasure."
+msgstr ""
+
+#, fuzzy
+msgid "A website mention this entry."
+msgstr "ఈ టపాకి ఫైళ్ళు చేర్చండి"
+
 msgid "Any chance you ping one of my contents? No? Really?"
 msgstr ""
@@ -3900,17 +4015,14 @@
 msgstr ""
 
-msgid "Don't repeat yourself, please."
-msgstr ""
-
 msgid "Your source URL does not look like a supported content type. Sorry. Bye, bye!"
 msgstr ""
 
-msgid "Where's your title?"
-msgstr ""
-
-msgid "Sorry, an internal problem has occured."
-msgstr ""
-
-msgid "Thanks, mate. It was a pleasure."
+msgid "No valid source URL provided? Try again!"
+msgstr ""
+
+msgid "No valid target URL provided? Try again!"
+msgstr ""
+
+msgid "LOL!"
 msgstr ""
 
@@ -3962,13 +4074,4 @@
 
 msgid "No workspace specified"
-msgstr ""
-
-msgid "No valid source URL provided? Try again!"
-msgstr ""
-
-msgid "No valid target URL provided? Try again!"
-msgstr ""
-
-msgid "LOL!"
 msgstr ""
 
@@ -4135,4 +4238,12 @@
 msgstr ""
 
+#, fuzzy
+#~ msgid "Filter blogs list"
+#~ msgstr "%s బ్లాగుని మార్చండి"
+
+#, fuzzy
+#~ msgid "Filter comments and trackbacks list"
+#~ msgstr "వ్యాఖ్యలు మరియు ట్రాకుబ్యాకులు"
+
 #~ msgid "more information"
 #~ msgstr "మరింత సమాచారం"
@@ -4289,7 +4400,4 @@
 #~ msgstr "జోడింపులు లేవు."
 
-#~ msgid "Add files to this entry"
-#~ msgstr "ఈ టపాకి ఫైళ్ళు చేర్చండి"
-
 #~ msgid "User:"
 #~ msgstr "వాడుకరి:"
Index: locales/te/plugins.po
===================================================================
--- locales/te/plugins.po	(revision 3272)
+++ locales/te/plugins.po	(revision 3416)
@@ -7,7 +7,8 @@
 "Project-Id-Version: Dotclear 2\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2016-07-18 15:41+0200\n"
+"POT-Creation-Date: 2016-11-23 10:19+0100\n"
 "PO-Revision-Date: 2016-07-18 15:54+0200\n"
 "Last-Translator: Franck Paul <carnet.franck.paul@gmail.com>\n"
+"Language-Team: \n"
 "Language: te\n"
 "MIME-Version: 1.0\n"
@@ -15,5 +16,4 @@
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
-"Language-Team: \n"
 "X-Generator: Poedit 1.8.8\n"
 
@@ -37,7 +37,4 @@
 msgstr ""
 
-msgid "Breadcrumb for Dotclear"
-msgstr ""
-
 msgid "Legacy modules for dotclear"
 msgstr ""
@@ -80,4 +77,7 @@
 msgstr ""
 
+msgid "Breadcrumb for Dotclear"
+msgstr ""
+
 msgid "Search engine form"
 msgstr ""
@@ -112,18 +112,18 @@
 msgstr ""
 
+msgid "List of published pages"
+msgstr ""
+
+#, fuzzy
+msgid "Blogroll list"
+msgstr "బ్లాగ్మిత్రులు"
+
+msgid "List of simple menu items"
+msgstr ""
+
 #, fuzzy
 msgid "Tags cloud"
 msgstr "చేర్చాల్సిన ట్యాగులు:"
 
-msgid "List of published pages"
-msgstr ""
-
-#, fuzzy
-msgid "Blogroll list"
-msgstr "బ్లాగ్మిత్రులు"
-
-msgid "List of simple menu items"
-msgstr ""
-
 msgid "Configuration successfully updated"
 msgstr ""
@@ -679,7 +679,4 @@
 msgstr ""
 
-msgid "Page top"
-msgstr ""
-
 msgid "Prelude color:"
 msgstr ""
@@ -876,4 +873,7 @@
 msgstr ""
 
+msgid "m"
+msgstr ""
+
 msgid "Link to an entry"
 msgstr ""
@@ -882,4 +882,7 @@
 msgid "Link"
 msgstr "లంకెలు"
+
+msgid "l"
+msgstr ""
 
 msgid "External image"
@@ -1333,4 +1336,16 @@
 msgstr ""
 
+msgid "Delete the Content-Security-Policy report file"
+msgstr ""
+
+msgid "Content-Security-Policy report file has been deleted."
+msgstr ""
+
+msgid "Failed to delete the Content-Security-Policy report file."
+msgstr ""
+
+msgid "Remove the Content-Security-Policy report file."
+msgstr ""
+
 msgid "Search engine index"
 msgstr ""
@@ -2031,4 +2046,7 @@
 msgstr "ప్రదర్శనా విడ్జెట్లు"
 
+msgid "Widget's textareas"
+msgstr ""
+
 msgid "Search engine"
 msgstr ""
Index: locales/te/public.po
===================================================================
--- locales/te/public.po	(revision 3272)
+++ locales/te/public.po	(revision 3416)
@@ -10,9 +10,9 @@
 "PO-Revision-Date: 2016-07-18 15:54+0200\n"
 "Last-Translator: Franck Paul <carnet.franck.paul@gmail.com>\n"
+"Language-Team: \n"
 "Language: te\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
-"Language-Team: \n"
 "X-Generator: Poedit 1.8.8\n"
 
@@ -245,2 +245,37 @@
 msgid "Read"
 msgstr "చదవండి"
+
+msgid "in"
+msgstr ""
+
+msgid "In"
+msgstr ""
+
+msgid "Page top"
+msgstr ""
+
+msgid "toDay"
+msgstr ""
+
+msgid "FromDay"
+msgstr ""
+
+msgid "By category"
+msgstr ""
+
+msgid "By date"
+msgstr ""
+
+msgid "By tag"
+msgstr ""
+
+#, fuzzy
+msgid "Blog menu"
+msgstr "మెనూకి"
+
+#, fuzzy
+msgid "Etra menu"
+msgstr "మెనూకి"
+
+msgid "Blog info"
+msgstr ""