Index: admin/_charte.php
===================================================================
--- admin/_charte.php	(revision 3421)
+++ admin/_charte.php	(revision 3434)
@@ -79,8 +79,8 @@
 
 	<div id="wrapper" class="clearfix">
-		<div class="hidden-if-no-js collapser-box"><a href="#" id="collapser">
+		<div class="hidden-if-no-js collapser-box"><button id="collapser" class="void-btn">
 		<img class="collapse-mm visually-hidden" src="images/collapser-hide.png" alt="Cacher le menu" />
 		<img class="expand-mm visually-hidden" src="images/collapser-show.png" alt="Montrer le menu" />
-		</a></div>
+		</button></div>
 		<div id="main">
 			<div id="content" class="clearfix">
Index: admin/js/_media.js
===================================================================
--- admin/js/_media.js	(revision 3369)
+++ admin/js/_media.js	(revision 3434)
@@ -98,5 +98,5 @@
 			}
 
-			$('<p class="clear"><a class="enhanced-toggle" href="#">' + $msg + '</a></p>').click(function(e) {
+			$('<p class="clear"><button class="enhanced-toggle">' + $msg + '</button></p>').click(function(e) {
 				if ($container.hasClass('enhanced_uploader')) {
 					$msg = dotclear.msg.enhanced_uploader_activate;
@@ -125,5 +125,5 @@
 					displayMessageInQueue(0);
 				}
-				$(this).find('a').text($msg);
+				$(this).find('button').text($msg);
 				$('.add-label', me).text(label);
 
Index: admin/js/common.js
===================================================================
--- admin/js/common.js	(revision 3408)
+++ admin/js/common.js	(revision 3434)
@@ -380,5 +380,5 @@
 		$(e).append(document.createTextNode(' '));
 
-		$('<a href="#">'+dotclear.msg.select_all+'</a>').click(function() {
+		$('<button class="checkbox-helper select-all">'+dotclear.msg.select_all+'</button>').click(function() {
 			if (target !== undefined) {
 				target.check();
@@ -391,7 +391,7 @@
 			return false;
 		}).appendTo($(e));
-		$(e).append(document.createTextNode(' | '));
-
-		$('<a href="#">'+dotclear.msg.no_selection+'</a>').click(function() {
+		$(e).append(document.createTextNode(' '));
+
+		$('<button class="checkbox-helper select-none">'+dotclear.msg.no_selection+'</button>').click(function() {
 			if (target !== undefined) {
 				target.unCheck();
@@ -404,7 +404,7 @@
 			return false;
 		}).appendTo($(e));
-		$(e).append(document.createTextNode(' - '));
-
-		$('<a href="#">'+dotclear.msg.invert_sel+'</a>').click(function() {
+		$(e).append(document.createTextNode(' '));
+
+		$('<button class="checkbox-helper select-reverse">'+dotclear.msg.invert_sel+'</button>').click(function() {
 			if (target !== undefined) {
 				target.toggleCheck();
Index: admin/js/meta-editor.js
===================================================================
--- admin/js/meta-editor.js	(revision 2562)
+++ admin/js/meta-editor.js	(revision 3434)
@@ -81,5 +81,5 @@
 			for (var i=0; i<meta.length; i++) {
 				li = $('<li>'+meta[i]+'</li>');
-				a_remove = $('<a class="metaRemove" href="#">[x]</a>');
+				a_remove = $('<button class="metaRemove" href="#"><img src="images/trash.png" alt="remove" /></button>');
 				a_remove.get(0).caller = this;
 				a_remove.get(0).meta_id = meta[i];
@@ -109,5 +109,5 @@
 					var meta_id = $(this).text();
 					li = $('<li><a href="' + This.meta_url + $(this).attr('uri') + '">'+meta_id+'</a></li>');
-					a_remove = $('<a class="metaRemove" href="#">[x]</a>');
+					a_remove = $('<button class="metaRemove"><img src="images/trash.png" alt="remove" /></button>');
 					a_remove.get(0).caller = This;
 					a_remove.get(0).meta_id = meta_id;
@@ -163,5 +163,5 @@
 
 				$(data).find('meta').each(function(i) {
-					meta_link = $('<a href="#">' + $(this).text() + '</a>');
+					meta_link = $('<button>' + $(this).text() + '</button>');
 					meta_link.get(0).meta_id = $(this).text();
 					meta_link.click(function() {
@@ -178,5 +178,5 @@
 
 				if (list_type == 'more') {
-					var a_more = $('<a href="#" class="metaGetMore"></a>');
+					var a_more = $('<button class="metaGetMore"></button>');
 					a_more.append(This.text_all + String.fromCharCode(160)+String.fromCharCode(187));
 					a_more.click(function() {
@@ -193,5 +193,5 @@
 					target.append(pa);
 
-					var a = $('<a href="#" class="metaGetList">' + This.text_choose + '</a>');
+					var a = $('<button class="metaGetList">' + This.text_choose + '</button>');
 					a.click(function() {
 						$(this).parent().next().removeClass('hide');
Index: admin/media_item.php
===================================================================
--- admin/media_item.php	(revision 3433)
+++ admin/media_item.php	(revision 3434)
@@ -341,6 +341,6 @@
 	echo
 	'<p>'.
-	'<a id="media-select-ok" class="button submit" href="#">'.__('Select').'</a> '.
-	'<a id="media-select-cancel" class="button" href="#">'.__('Cancel').'</a>'.
+	'<button id="media-select-ok" class="submit">'.__('Select').'</button> '.
+	'<button id="media-select-cancel">'.__('Cancel').'</button>'.
 	form::hidden(array('type'),html::escapeHTML($media_type)).
 	form::hidden(array('title'),html::escapeHTML($file->media_title)).
@@ -505,6 +505,6 @@
 	echo
 	'<p>'.
-	'<a id="media-insert-ok" class="button submit" href="#">'.__('Insert').'</a> '.
-	'<a id="media-insert-cancel" class="button" href="#">'.__('Cancel').'</a>'.
+	'<button id="media-insert-ok" class="submit">'.__('Insert').'</button> '.
+	'<button id="media-insert-cancel">'.__('Cancel').'</button>'.
 	form::hidden(array('type'),html::escapeHTML($media_type)).
 	form::hidden(array('title'),html::escapeHTML($file->media_title)).
Index: admin/popup_link.php
===================================================================
--- admin/popup_link.php	(revision 3421)
+++ admin/popup_link.php	(revision 3434)
@@ -40,6 +40,6 @@
 '</form>'.
 
-'<p><a class="button reset" href="#" id="link-insert-cancel">'.__('Cancel').'</a> - '.
-'<strong><a class="button" href="#" id="link-insert-ok">'.__('Insert').'</a></strong></p>'."\n".
+'<p><button class="reset" id="link-insert-cancel">'.__('Cancel').'</button> - '.
+'<button id="link-insert-ok"><strong>'.__('Insert').'</strong></button></p>'."\n".
 
 '<script type="text/javascript">'."\n".
Index: admin/popup_posts.php
===================================================================
--- admin/popup_posts.php	(revision 3375)
+++ admin/popup_posts.php	(revision 3434)
@@ -75,5 +75,5 @@
 echo '</div>';
 
-echo '<p><a class="button" href="#" id="link-insert-cancel">'.__('cancel').'</a></p>';
+echo '<p><button id="link-insert-cancel">'.__('cancel').'</button></p>';
 
 dcPage::closePopup();
Index: admin/style/default.css
===================================================================
--- admin/style/default.css	(revision 3412)
+++ admin/style/default.css	(revision 3434)
@@ -1207,7 +1207,15 @@
   -webkit-appearance: button; }
 
+/* Boutons javascript (dépliage/repliage, …) */
+.void-btn {
+  border: none;
+  border-radius: 0;
+  padding: 0; }
+
 /* validation */
 input[type=submit],
+button[type=submit],
 a.button.submit,
+button.submit,
 input.button.start {
   color: #fff;
@@ -1219,6 +1227,10 @@
 input[type=submit]:hover,
 input[type=submit]:focus,
+button[type=submit]:hover,
+button[type=submit]:focus,
 input.button.start:hover,
 input.button.start:focus,
+button.submit:hover,
+button.submit:focus,
 a.button.submit:hover,
 a.button.submit:focus {
@@ -1276,4 +1288,6 @@
 input[type=submit].delete,
 input.delete,
+button[type=submit].delete,
+button.delete,
 a.button.delete {
   color: #900; }
@@ -1281,7 +1295,11 @@
 input[type=submit].delete:hover,
 input.delete:hover,
+button[type=submit].delete:hover,
+button.delete:hover,
 a.button.delete:hover,
 input[type=submit].delete:focus,
 input.delete:focus,
+button[type=submit].delete:focus,
+button.delete:focus,
 a.button.delete:focus {
   color: #ffffff;
@@ -1292,9 +1310,10 @@
   text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.3); }
 
-#info-box a.button {
+#info-box a.button, #info-box button {
   padding: 0 .5em;
   margin-left: 2em; }
 
-.button.add {
+.button.add,
+button.add {
   color: #000;
   background-color: #bee74b;
@@ -1306,5 +1325,8 @@
 .button.add:hover,
 .button.add:active,
-.button.add:focus {
+.button.add:focus,
+button.add:hover,
+button.add:active,
+button.add:focus {
   background-color: #9bca1c;
   background-image: linear-gradient(to bottom, #9bca1c, #bee74b);
@@ -1321,5 +1343,7 @@
 /* disabled */
 input.disabled,
-input[type=submit].disabled {
+input[type=submit].disabled,
+button.disabled,
+button[type=submit].disabled {
   text-shadow: none;
   color: #676e78;
@@ -1328,8 +1352,27 @@
 
 input.disabled:hover,
-input[type=submit].disabled:hover {
+input[type=submit].disabled:hover,
+button.disabled:hover,
+button[type=submit].disabled:hover {
   color: #676e78;
   background: #eee;
   border: 1px solid #CCC; }
+
+/* specific buttons */
+.checkbox-helper {
+  font-size: smaller; }
+
+.metaRemove,
+.addMeta button:not(.metaGetMore) {
+  border: none;
+  border-radius: 0;
+  padding: 0;
+  background: none; }
+
+.addMeta button:not(.metaGetMore) {
+  border-bottom: #676e78 1px dotted;
+  text-shadow: initial;
+  box-shadow: initial;
+  margin-bottom: 2px; }
 
 .warn,
Index: admin/style/scss/partials/_buttons.scss
===================================================================
--- admin/style/scss/partials/_buttons.scss	(revision 3365)
+++ admin/style/scss/partials/_buttons.scss	(revision 3434)
@@ -40,8 +40,18 @@
 
 
+/* Boutons javascript (dépliage/repliage, …) */
+
+.void-btn {
+    border: none;
+    border-radius: 0;
+    padding: 0;
+}
+
 /* validation */
 
 input[type=submit],
+button[type=submit],
 a.button.submit,
+button.submit,
 input.button.start {
     color: #fff;
@@ -54,6 +64,10 @@
 input[type=submit]:hover,
 input[type=submit]:focus,
+button[type=submit]:hover,
+button[type=submit]:focus,
 input.button.start:hover,
 input.button.start:focus,
+button.submit:hover,
+button.submit:focus,
 a.button.submit:hover,
 a.button.submit:focus {
@@ -118,4 +132,6 @@
 input[type=submit].delete,
 input.delete,
+button[type=submit].delete,
+button.delete,
 a.button.delete {
     color: #900;
@@ -124,7 +140,11 @@
 input[type=submit].delete:hover,
 input.delete:hover,
+button[type=submit].delete:hover,
+button.delete:hover,
 a.button.delete:hover,
 input[type=submit].delete:focus,
 input.delete:focus,
+button[type=submit].delete:focus,
+button.delete:focus,
 a.button.delete:focus {
     color: #ffffff;
@@ -136,10 +156,11 @@
 }
 
-#info-box a.button {
+#info-box a.button, #info-box button {
     padding: 0 .5em;
     margin-left: 2em;
 }
 
-.button.add {
+.button.add,
+button.add {
     color: #000;
     background-color: #bee74b;
@@ -154,5 +175,8 @@
 .button.add:hover,
 .button.add:active,
-.button.add:focus {
+.button.add:focus,
+button.add:hover,
+button.add:active,
+button.add:focus {
     background-color: #9bca1c;
     @include background-image(linear-gradient(to bottom, #9bca1c, #bee74b));
@@ -176,5 +200,7 @@
 
 input.disabled,
-input[type=submit].disabled {
+input[type=submit].disabled,
+button.disabled,
+button[type=submit].disabled {
     text-shadow: none;
     color: #676e78;
@@ -184,7 +210,30 @@
 
 input.disabled:hover,
-input[type=submit].disabled:hover {
+input[type=submit].disabled:hover,
+button.disabled:hover,
+button[type=submit].disabled:hover {
     color: #676e78;
     background: #eee;
     border: 1px solid #CCC;
 }
+
+
+/* specific buttons */
+
+.checkbox-helper {
+    font-size: smaller;
+}
+
+.metaRemove,
+.addMeta button:not(.metaGetMore) {
+    border: none;
+    border-radius: 0;
+    padding: 0;
+    background: none;
+}
+.addMeta button:not(.metaGetMore) {
+    border-bottom: #676e78 1px dotted;
+    text-shadow: initial;
+    box-shadow: initial;
+    margin-bottom: 2px;
+}
Index: inc/admin/lib.dc.page.php
===================================================================
--- inc/admin/lib.dc.page.php	(revision 3432)
+++ inc/admin/lib.dc.page.php	(revision 3434)
@@ -235,8 +235,8 @@
 		echo
 		'<div id="wrapper" class="clearfix">'."\n".
-		'<div class="hidden-if-no-js collapser-box"><a href="#" id="collapser">'.
+		'<div class="hidden-if-no-js collapser-box"><button id="collapser" class="void-btn">'.
 		'<img class="collapse-mm visually-hidden" src="images/collapser-hide.png" alt="'.__('Hide main menu').'" />'.
 		'<img class="expand-mm visually-hidden" src="images/collapser-show.png" alt="'.__('Show main menu').'" />'.
-		'</a></div>'.
+		'</button></div>'.
 		'<div id="main" role="main">'."\n".
 		'<div id="content" class="clearfix">'."\n";