Index: admin/style/scss/init/_rebase.scss
===================================================================
--- admin/style/scss/init/_rebase.scss	(revision 3365)
+++ admin/style/scss/init/_rebase.scss	(revision 3439)
@@ -1,8 +1,10 @@
 /* largeur des paddings et border compris dans "width" */
+
 *,
 *:before,
 *:after {
-    box-sizing: border-box;
-}
+	box-sizing: border-box;
+}
+
 html {
 	font-size: 100%;
@@ -12,19 +14,36 @@
 	padding: 0;
 }
+
 body {
- 	margin: 0;
- 	padding: 0;
-}
-a { background: transparent; }
-a:focus { outline: thin dotted; }
-a:active, a:hover { outline: none; }
-a img { border: none; }
-q, cite {
-  font-style: italic;
-}
-q:before, q:after {
-  content: "";
-}
-sup, sub {
+	margin: 0;
+	padding: 0;
+}
+
+a {
+	background: transparent;
+	&:focus {
+		outline: thin dotted;
+	}
+	&:active,
+	&:hover {
+		outline: none;
+	}
+	img {
+		border: none;
+	}
+}
+
+q,
+cite {
+	font-style: italic;
+}
+
+q:before,
+q:after {
+	content: "";
+}
+
+sup,
+sub {
 	font-size: .75em;
 	line-height: 0;
@@ -32,36 +51,54 @@
 	vertical-align: baseline;
 }
-sup { top: -0.5em; }
-sub { bottom: -0.25em; }
+
+sup {
+	top: -0.5em;
+}
+
+sub {
+	bottom: -0.25em;
+}
+
 abbr[title] {
-  border-bottom: 1px dotted;
-  cursor: help;
-}
-b, strong {
-  font-weight: bold;
-  font-size: 0.9375em;
-}
+	border-bottom: 1px dotted;
+	cursor: help;
+}
+
+b,
+strong {
+	font-weight: bold;
+	font-size: 0.9375em;
+}
+
 small {
 	font-size: 80%;
 }
+
 dfn {
 	font-style: italic;
 }
+
 hr {
-	-moz-box-sizing: content-box;
 	box-sizing: content-box;
 	height: 0;
 }
+
 mark {
 	background: #ff0;
 	color: #000;
 }
-code, kbd, pre, samp {
+
+code,
+kbd,
+pre,
+samp {
 	font-family: monospace, serif;
 	font-size: 1em;
 }
+
 pre {
 	white-space: pre-wrap;
 }
+
 fieldset {
 	margin: 0;
@@ -69,15 +106,25 @@
 	border: none;
 }
-input, button, select {
+
+input,
+button,
+select {
 	vertical-align: middle;
 }
-button, input, select, textarea {
+
+button,
+input,
+select,
+textarea {
 	font-family: inherit;
 	font-size: 100%;
 	margin: 0;
 }
-button, input {
+
+button,
+input {
 	line-height: normal;
 }
+
 button,
 html input[type="button"],
@@ -87,8 +134,10 @@
 	cursor: pointer;
 }
+
 button[disabled],
 html input[disabled] {
 	cursor: default;
 }
+
 input[type="checkbox"],
 input[type="radio"] {
@@ -96,11 +145,14 @@
 	border: none;
 }
+
 input[type="search"] {
 	-webkit-appearance: textfield;
 }
+
 input[type="search"]::-webkit-search-cancel-button,
 input[type="search"]::-webkit-search-decoration {
 	-webkit-appearance: none;
 }
+
 button::-moz-focus-inner,
 input::-moz-focus-inner {
@@ -108,46 +160,85 @@
 	padding: 0;
 }
+
 textarea {
 	overflow: auto;
 	vertical-align: top;
 }
+
 table {
 	border-collapse: collapse;
 	margin-bottom: 1.5em;
 }
-td, th {
+
+td,
+th {
 	padding: 1px;
 	vertical-align: top;
 	text-align: left;
 }
-td:first-child, th:first-child {
+
+td:first-child,
+th:first-child {
 	empty-cells: hide;
 }
+
+
 /* scripts */
-body > script {display: none !important;}
+
+body > script {
+	display: none !important;
+}
+
 
 /* HTML5 for old browsers */
-article, aside, details, figcaption, figure, footer,
-header, hgroup, main, nav, section, summary {
+
+article,
+aside,
+details,
+figcaption,
+figure,
+footer,
+header,
+hgroup,
+main,
+nav,
+section,
+summary {
 	display: block;
 }
-audio, canvas, video {
+
+audio,
+canvas,
+video {
 	display: inline-block;
 }
+
 audio:not([controls]) {
 	display: none;
 	height: 0;
 }
+
 figure {
 	margin: 0;
 }
-[hidden], template {
+
+[hidden],
+template {
 	display: none;
 }
+
 svg:not(:root) {
 	overflow: hidden;
 }
+
+
 /* Headings reset */
-h1, h2, h3, h4, h5, h6 {
+
+h1,
+h2,
+h3,
+h4,
+h5,
+h6 {
 	font-size: 1em;
 	font-weight: normal;
@@ -155,5 +246,7 @@
 }
 
+
 /* Screen-reader only */
+
 .visually-hidden {
 	@include visually-hidden;