Index: locales/ru/main.po
===================================================================
--- locales/ru/main.po	(revision 3416)
+++ locales/ru/main.po	(revision 3499)
@@ -8,5 +8,5 @@
 "Project-Id-Version: main\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2016-11-23 10:19+0100\n"
+"POT-Creation-Date: 2017-01-04 10:19+0100\n"
 "PO-Revision-Date: 2016-07-18 15:53+0200\n"
 "Last-Translator: Franck Paul <carnet.franck.paul@gmail.com>\n"
@@ -252,4 +252,8 @@
 msgstr "По центру"
 
+#, fuzzy
+msgid "Legend and title"
+msgstr "Заголовок вставленного изображения"
+
 msgid "I would like search engines and archivers to index and archive my blog's content."
 msgstr "Я хочу, чтобы поисковые машины и архиваторы проиндексировали и заархивировали содержимое моего блога."
@@ -292,4 +296,183 @@
 msgstr "Информация о блоге"
 
+msgid "Blog status:"
+msgstr "Статус блога:"
+
+msgid "Blog configuration"
+msgstr "Конфигурация блога"
+
+msgid "Blog editor name:"
+msgstr "Имя автора блога:"
+
+msgid "Default language:"
+msgstr "Язык по умолчанию:"
+
+msgid "Blog timezone:"
+msgstr "Часовой пояс блога:"
+
+msgid "Copyright notice:"
+msgstr "Копирайт:"
+
+msgid "Comments and trackbacks"
+msgstr "Комментарии и пинги"
+
+msgid "Accept comments"
+msgstr "Принимать комментарии"
+
+msgid "Moderate comments"
+msgstr "Модерировать комментарии"
+
+#, php-format
+msgid "Leave comments open for %s days"
+msgstr "Оставлять комментарии открытыми в течении %s дней"
+
+msgid "No limit: leave blank."
+msgstr ""
+
+msgid "Wiki syntax for comments"
+msgstr "Wiki синтаксис для комментариев"
+
+msgid "Preview of comment before submit is not mandatory"
+msgstr ""
+
+msgid "Accept trackbacks"
+msgstr "Принимать пинги"
+
+msgid "Moderate trackbacks"
+msgstr "Модерировать пинги"
+
+#, php-format
+msgid "Leave trackbacks open for %s days"
+msgstr "Оставлять пинги открытыми в течении %s дней"
+
+msgid "Add \"nofollow\" relation on comments and trackbacks links"
+msgstr "Добавлять \"nofollow\" в ссылки комментариев и пингов"
+
+msgid "Blog presentation"
+msgstr "Внешний вид"
+
+msgid "Date format:"
+msgstr "Формат дат:"
+
+msgid "Pattern of date"
+msgstr ""
+
+msgid "Sample:"
+msgstr ""
+
+msgid "Time format:"
+msgstr "Формат времени:"
+
+msgid "Pattern of time"
+msgstr ""
+
+msgid "Display smilies on entries and comments"
+msgstr "Показывать смайлы в записях и комментариях"
+
+msgid "Disable internal search system"
+msgstr ""
+
+#, fuzzy, php-format
+msgid "Display %s entries on home page"
+msgstr "Показывать %s записей на странице"
+
+#, php-format
+msgid "Display %s entries per page"
+msgstr "Показывать %s записей на странице"
+
+#, php-format
+msgid "Display %s entries per feed"
+msgstr "Показывать %s записей в ленте новостей"
+
+#, php-format
+msgid "Display %s comments per feed"
+msgstr "Показывать %s комментариев в ленте новостей"
+
+msgid "Truncate feeds"
+msgstr "Обрезать ленты новостей"
+
+msgid "Include sub-categories in category page and category posts feed"
+msgstr ""
+
+msgid "Media and images"
+msgstr "Медиа и изображения"
+
+msgid "Please note that if you change current settings bellow, they will now apply to all new images in the media manager."
+msgstr ""
+
+msgid "Be carefull if you share it with other blogs in your installation."
+msgstr ""
+
+#, fuzzy
+msgid "Generated image sizes (max dimension in pixels)"
+msgstr "Размер генерированных изображений (в пикселях)"
+
+#, fuzzy
+msgid "Thumbnail"
+msgstr "Уменьшенное изображение:"
+
+#, fuzzy
+msgid "Small"
+msgstr "Маленький:"
+
+#, fuzzy
+msgid "Medium"
+msgstr "Средний:"
+
+msgid "Default size of the inserted video (in pixels)"
+msgstr ""
+
+#, fuzzy
+msgid "Width"
+msgstr "Ширина:"
+
+#, fuzzy
+msgid "Height"
+msgstr "высота"
+
+msgid "Flash player"
+msgstr ""
+
+msgid "Insert Flash player fallback for video (mp4 or m4v) and audio (mp3) media"
+msgstr ""
+
+msgid "For flv video, the Flash player will be anyway inserted."
+msgstr ""
+
+msgid "Default image insertion attributes"
+msgstr ""
+
+msgid "Inserted image title"
+msgstr "Заголовок вставленного изображения"
+
+msgid "Use original media date if possible"
+msgstr ""
+
+msgid "Do not display date if alone in title"
+msgstr ""
+
+msgid "It is retrieved from the picture's metadata."
+msgstr ""
+
+#, fuzzy
+msgid "Size of inserted image:"
+msgstr "Заголовок вставленного изображения"
+
+#, fuzzy
+msgid "Image alignment:"
+msgstr "Выравнивание изображения"
+
+#, fuzzy
+msgid "Insert a link to the original image"
+msgstr "Как ссылку на изображение оригинал"
+
+#, fuzzy
+msgid "Image legend and title:"
+msgstr "Выравнивание изображения"
+
+#, fuzzy
+msgid "Advanced parameters"
+msgstr "Настройки"
+
 msgid "Please note that changing your blog ID may require changes in your public index.php file."
 msgstr "Заметьте, что изменение ID вашего блога может потребовать изменение в файле index.php."
@@ -306,22 +489,4 @@
 msgstr ""
 
-msgid "Blog status:"
-msgstr "Статус блога:"
-
-msgid "Blog configuration"
-msgstr "Конфигурация блога"
-
-msgid "Blog editor name:"
-msgstr "Имя автора блога:"
-
-msgid "Default language:"
-msgstr "Язык по умолчанию:"
-
-msgid "Blog timezone:"
-msgstr "Часовой пояс блога:"
-
-msgid "Copyright notice:"
-msgstr "Копирайт:"
-
 msgid "New post URL format:"
 msgstr "Формат URL новых записей:"
@@ -331,7 +496,4 @@
 msgstr "Команда разработчиков DotClear"
 
-msgid "Sample:"
-msgstr ""
-
 msgid "HTML tag for the title of the notes on the blog:"
 msgstr ""
@@ -358,154 +520,4 @@
 msgstr "ваш пароль"
 
-msgid "Comments and trackbacks"
-msgstr "Комментарии и пинги"
-
-msgid "Accept comments"
-msgstr "Принимать комментарии"
-
-msgid "Moderate comments"
-msgstr "Модерировать комментарии"
-
-#, php-format
-msgid "Leave comments open for %s days"
-msgstr "Оставлять комментарии открытыми в течении %s дней"
-
-msgid "No limit: leave blank."
-msgstr ""
-
-msgid "Wiki syntax for comments"
-msgstr "Wiki синтаксис для комментариев"
-
-msgid "Preview of comment before submit is not mandatory"
-msgstr ""
-
-msgid "Accept trackbacks"
-msgstr "Принимать пинги"
-
-msgid "Moderate trackbacks"
-msgstr "Модерировать пинги"
-
-#, php-format
-msgid "Leave trackbacks open for %s days"
-msgstr "Оставлять пинги открытыми в течении %s дней"
-
-msgid "Add \"nofollow\" relation on comments and trackbacks links"
-msgstr "Добавлять \"nofollow\" в ссылки комментариев и пингов"
-
-msgid "Blog presentation"
-msgstr "Внешний вид"
-
-msgid "Date format:"
-msgstr "Формат дат:"
-
-msgid "Pattern of date"
-msgstr ""
-
-msgid "Time format:"
-msgstr "Формат времени:"
-
-msgid "Pattern of time"
-msgstr ""
-
-msgid "Display smilies on entries and comments"
-msgstr "Показывать смайлы в записях и комментариях"
-
-msgid "Disable internal search system"
-msgstr ""
-
-#, fuzzy, php-format
-msgid "Display %s entries on home page"
-msgstr "Показывать %s записей на странице"
-
-#, php-format
-msgid "Display %s entries per page"
-msgstr "Показывать %s записей на странице"
-
-#, php-format
-msgid "Display %s entries per feed"
-msgstr "Показывать %s записей в ленте новостей"
-
-#, php-format
-msgid "Display %s comments per feed"
-msgstr "Показывать %s комментариев в ленте новостей"
-
-msgid "Truncate feeds"
-msgstr "Обрезать ленты новостей"
-
-msgid "Include sub-categories in category page and category posts feed"
-msgstr ""
-
-msgid "Media and images"
-msgstr "Медиа и изображения"
-
-msgid "Please note that if you change current settings bellow, they will now apply to all new images in the media manager."
-msgstr ""
-
-msgid "Be carefull if you share it with other blogs in your installation."
-msgstr ""
-
-#, fuzzy
-msgid "Generated image sizes (max dimension in pixels)"
-msgstr "Размер генерированных изображений (в пикселях)"
-
-#, fuzzy
-msgid "Thumbnail"
-msgstr "Уменьшенное изображение:"
-
-#, fuzzy
-msgid "Small"
-msgstr "Маленький:"
-
-#, fuzzy
-msgid "Medium"
-msgstr "Средний:"
-
-msgid "Default size of the inserted video (in pixels)"
-msgstr ""
-
-#, fuzzy
-msgid "Width"
-msgstr "Ширина:"
-
-#, fuzzy
-msgid "Height"
-msgstr "высота"
-
-msgid "Flash player"
-msgstr ""
-
-msgid "Insert Flash player fallback for video (mp4 or m4v) and audio (mp3) media"
-msgstr ""
-
-msgid "For flv video, the Flash player will be anyway inserted."
-msgstr ""
-
-msgid "Default image insertion attributes"
-msgstr ""
-
-msgid "Inserted image title"
-msgstr "Заголовок вставленного изображения"
-
-msgid "Use original media date if possible"
-msgstr ""
-
-msgid "Do not display date if alone in title"
-msgstr ""
-
-msgid "It is retrieved from the picture's metadata."
-msgstr ""
-
-#, fuzzy
-msgid "Size of inserted image:"
-msgstr "Заголовок вставленного изображения"
-
-#, fuzzy
-msgid "Image alignment:"
-msgstr "Выравнивание изображения"
-
-#, fuzzy
-msgid "Insert a link to the original image"
-msgstr "Как ссылку на изображение оригинал"
-
 msgid "Search engines robots policy"
 msgstr "Параметры индексации поисковыми машинами."
@@ -523,4 +535,8 @@
 msgid "Protect the blog from Clickjacking (see <a href=\"https://en.wikipedia.org/wiki/Clickjacking\">Wikipedia</a>)"
 msgstr ""
+
+#, fuzzy
+msgid "Plugins parameters"
+msgstr "Настройки"
 
 msgid "Save"
@@ -1322,4 +1338,13 @@
 msgstr "Содержание:"
 
+msgid "Invalid language zip file."
+msgstr "Неверный zip файл языкового пакета."
+
+msgid "The zip file does not appear to be a valid Dotclear language pack."
+msgstr "Файл zip не является действительным языковым пакетом Dotclear."
+
+msgid "An error occurred during language upgrade."
+msgstr "При обновлении языкового пакета возникла ошибка."
+
 msgid "No such installed language"
 msgstr "Такой язык не установлен"
@@ -1399,13 +1424,4 @@
 msgid "Upload language"
 msgstr "Загрузить языковые файлы"
-
-msgid "Invalid language zip file."
-msgstr "Неверный zip файл языкового пакета."
-
-msgid "The zip file does not appear to be a valid Dotclear language pack."
-msgstr "Файл zip не является действительным языковым пакетом Dotclear."
-
-msgid "An error occurred during language upgrade."
-msgstr "При обновлении языкового пакета возникла ошибка."
 
 msgid "By names, in ascending order"
@@ -1465,4 +1481,21 @@
 msgstr "да"
 
+#, fuzzy
+msgid "Select this file"
+msgstr "Удалить этот блог"
+
+msgid "Attach this file to entry"
+msgstr "Прикрепить этот файл к записи"
+
+msgid "Insert this file into entry"
+msgstr "Вставить этот файл в запись"
+
+#, fuzzy
+msgid "delete"
+msgstr "Удалить"
+
+msgid "open"
+msgstr "открыть"
+
 #, fuzzy, php-format
 msgid "%s file found"
@@ -1499,8 +1532,4 @@
 
 #, fuzzy
-msgid "Select this file"
-msgstr "Удалить этот блог"
-
-#, fuzzy
 msgid "Choose selected medias"
 msgstr "Откатить к выбранному файлу"
@@ -1522,7 +1551,4 @@
 msgstr "Выберите файл для добавления к записи %s кликнув по %s."
 
-msgid "Attach this file to entry"
-msgstr "Прикрепить этот файл к записи"
-
 #, fuzzy, php-format
 msgid "Choose a file to insert into entry by clicking on %s"
@@ -1625,14 +1651,4 @@
 msgstr "Настройки"
 
-msgid "Insert this file into entry"
-msgstr "Вставить этот файл в запись"
-
-#, fuzzy
-msgid "delete"
-msgstr "Удалить"
-
-msgid "open"
-msgstr "открыть"
-
 msgid "Not a valid file"
 msgstr "Неверный файл"
@@ -1665,4 +1681,7 @@
 msgid "Insert media item"
 msgstr "Добавить медиа"
+
+msgid "Image legend and title"
+msgstr ""
 
 msgid "Image alignment"
@@ -1987,4 +2006,24 @@
 msgstr ""
 
+msgid "IP address"
+msgstr "IP адрес"
+
+msgid "Edit"
+msgstr ""
+
+msgid "Junk"
+msgstr ""
+
+#, fuzzy
+msgid "select this comment"
+msgstr "Редактировать комментарий"
+
+#, fuzzy
+msgid "select this trackback"
+msgstr "Принимать пинги"
+
+msgid "Edit this comment"
+msgstr "Редактировать комментарий"
+
 #, fuzzy
 msgid "Entry status"
@@ -2102,24 +2141,4 @@
 msgstr "Ранее отправленные пинги"
 
-msgid "IP address"
-msgstr "IP адрес"
-
-msgid "Edit"
-msgstr ""
-
-msgid "Junk"
-msgstr ""
-
-#, fuzzy
-msgid "select this comment"
-msgstr "Редактировать комментарий"
-
-#, fuzzy
-msgid "select this trackback"
-msgstr "Принимать пинги"
-
-msgid "Edit this comment"
-msgstr "Редактировать комментарий"
-
 msgid "This attachment does not exist"
 msgstr "Этот прикрепленный файл не существует"
@@ -2216,4 +2235,8 @@
 
 #, fuzzy
+msgid "Smallest"
+msgstr "Маленький:"
+
+#, fuzzy
 msgid "Smaller"
 msgstr "Маленький:"
@@ -2222,4 +2245,7 @@
 msgstr ""
 
+msgid "Largest"
+msgstr ""
+
 msgid "Blog description (in blog parameters)"
 msgstr ""
@@ -2323,4 +2349,10 @@
 msgid "Font size:"
 msgstr "Размер файла:"
+
+msgid "Activate adpative font size"
+msgstr ""
+
+msgid "If checked, font size will vary depending on viewport size (from 12px to 16px with default font size selected)."
+msgstr ""
 
 msgid "Number of elements displayed per page in media manager:"
@@ -3129,4 +3161,8 @@
 msgstr ""
 
+#, fuzzy
+msgid "Hide this notice"
+msgstr "Использовать  эту тему"
+
 msgid "You have unsaved changes."
 msgstr "Вы не сохранили изменения."