Index: admin/style/default.css
===================================================================
--- admin/style/default.css	(revision 3500)
+++ admin/style/default.css	(revision 3513)
@@ -610,18 +610,5 @@
     width: 96%;
     margin-left: 0;
-    margin-right: 0; }
-
-  #entry-wrapper {
-    float: none;
-    width: 100%;
-    margin-right: 0; }
-
-  #entry-content {
-    margin-right: 0;
-    margin-left: 0; }
-
-  #entry-sidebar {
-    width: 100%;
-    float: none; } }
+    margin-right: 0; } }
 @media screen and (max-width: 38em) {
   #header h1,
@@ -865,6 +852,5 @@
   text-transform: uppercase;
   font-weight: bold;
-  color: #333;
-  text-shadow: 0 1px 0 rgba(200, 200, 200, 0.6); }
+  color: #333; }
 
 #entry-sidebar h5 {
@@ -1223,6 +1209,5 @@
   background-color: #25a6e1;
   background-image: linear-gradient(to bottom, #25a6e1, #188bc0);
-  border-color: #25a6e1;
-  text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.25); }
+  border-color: #25a6e1; }
 
 input[type=submit]:hover,
@@ -1256,6 +1241,5 @@
   background-image: linear-gradient(to bottom, #f9f9f9, #eaeaea);
   background-repeat: repeat-x;
-  border-color: #dfdfdf #dfdfdf #c5c5c5;
-  text-shadow: 0 1px 0 rgba(255, 255, 255, 0.9); }
+  border-color: #dfdfdf #dfdfdf #c5c5c5; }
 
 button:hover,
@@ -1308,6 +1292,5 @@
   background-image: linear-gradient(to bottom, #dc5f59, #b33630);
   background-repeat: repeat-x;
-  border-color: #cd504a;
-  text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.3); }
+  border-color: #cd504a; }
 
 #info-box a.button,
@@ -1322,6 +1305,5 @@
   background-image: linear-gradient(to bottom, #bee74b, #9bca1c);
   border-color: #bee74b;
-  padding: .33em 1.33em .5em;
-  text-shadow: 0 1px 0 rgba(255, 255, 255, 0.6); }
+  padding: .33em 1.33em .5em; }
 
 .button.add:hover,
@@ -1348,5 +1330,4 @@
 button.disabled,
 button[type=submit].disabled {
-  text-shadow: none;
   color: #676e78;
   background: #F5F5F5;
@@ -1372,5 +1353,4 @@
   font-size: 0.825em;
   color: #333;
-  text-shadow: none;
   background: #fff;
   box-shadow: none;
@@ -1417,5 +1397,4 @@
 .addMeta button:not(.metaGetMore),
 .addMeta a:not(.metaGetMore) {
-  text-shadow: initial;
   box-shadow: initial;
   margin-bottom: 2px; }
@@ -1434,6 +1413,5 @@
   display: inline-block;
   line-height: 1.5em;
-  border-radius: 3px;
-  text-shadow: 0 1px 0 rgba(255, 255, 255, 0.6); }
+  border-radius: 3px; }
 
 .warn,
@@ -1481,6 +1459,5 @@
 .error {
   background: #FFBABA url(msg-error.png) no-repeat 0.7em 0.7em;
-  color: #000;
-  text-shadow: 0 1px 0 rgba(255, 255, 255, 0.6); }
+  color: #000; }
 
 .message,
@@ -1497,6 +1474,5 @@
 .success,
 .warning-msg {
-  color: #000;
-  text-shadow: 0 1px 0 rgba(255, 255, 255, 0.6); }
+  color: #000; }
 
 .success {
@@ -1535,5 +1511,4 @@
   border-radius: 8px;
   background: #A2CBE9 url(msg-success.png) no-repeat 0.7em 0.7em;
-  text-shadow: 0 1px 0 rgba(255, 255, 255, 0.6);
   color: #000;
   box-shadow: 1px 1px 2px rgba(0, 0, 0, 0.1); }
@@ -1736,5 +1711,4 @@
     border-top-left-radius: 0;
     border-bottom-left-radius: 0;
-    text-shadow: none;
     border: none;
     border-left: 1px solid #999;
@@ -2750,16 +2724,32 @@
   vertical-align: baseline; }
 
+#entry-form {
+  display: flex;
+  flex-wrap: wrap; }
+
 #entry-wrapper {
-  float: left;
-  width: 100%;
-  margin-right: -16em; }
+  flex-grow: 1;
+  width: calc(100% - 19em); }
+  @media screen and (max-width: 80em) {
+    #entry-wrapper {
+      width: 100%; } }
 
 #entry-content {
-  margin-right: 18em;
-  margin-left: 0; }
+  margin-left: 0;
+  padding-right: 3em; }
+  @media screen and (max-width: 38em) {
+    #entry-content {
+      padding-right: 1em; } }
 
 #entry-sidebar {
-  width: 16em;
-  float: right; }
+  display: flex;
+  flex-wrap: wrap;
+  flex-direction: column; }
+  @media screen and (max-width: 80em) {
+    #entry-sidebar {
+      flex-direction: row; } }
+  @media screen and (max-width: 38em) {
+    #entry-sidebar {
+      padding-right: 1em; } }
   #entry-sidebar h4 {
     font-size: 1.08em;
@@ -2771,6 +2761,9 @@
 
 .sb-box {
-  border-bottom: 1px solid #dfdfdf;
-  margin-bottom: 1em; }
+  width: 18em;
+  margin-bottom: 1em;
+  margin-right: 1em;
+  padding: .5em 1em;
+  background-color: #f3f3f3; }
 
 #tb_excerpt {